enchant();

window.onload = () => {
    const game = new Game(320, 320);
    game.preload('goukaku.png');
    game.preload('fugoukaku.png');

    game.onload = () => {
        const scene = new Scene();
        const goukaku = new Sprite(172, 172);
        const fugoukaku = new Sprite(172, 172);
        goukaku.image = game.assets['goukaku.png'];
        goukaku.scale(0.3, 0.3);
        
        fugoukaku.image = game.assets['fugoukaku.png'];
        fugoukaku.scale(0.3, 0.3);
        
        game.addEventListener('enterframe', ()=>{
            goukaku.x = Math.floor(Math.random() * 320)-100;
            goukaku.y = Math.floor(Math.random() * 320)-100;
            game.rootScene.addChild(goukaku);
        });
        
        game.addEventListener('enterframe', ()=>{
            fugoukaku.x = Math.floor(Math.random() * 320)-100;
            fugoukaku.y = Math.floor(Math.random() * 320)-100;
            game.rootScene.addChild(fugoukaku);
        });
        game.pushScene(scene);
        
    };
    game.start();
}